.image-wrapper {
    overflow: hidden; /* Keeps the angled ribbon within bounds */
}

.ribbon {
    width: 100%;
    position: absolute;
    /* top: 20px; */
    top: 1.3vw;
    /* left: -65px; */
    left: -5vw;
    background-color: #e74c3c; /* Red accent color */
    color: white;
    padding: 0.5vw 0;
    font-weight: bold;
    font-size: 1.15vw;
    transform: rotate(-45deg);
    text-align: center;
    box-shadow: 0 4px 6px rgba(0, 0, 0, 0.15);
    z-index: 10;
    line-height: 1rem;
}



/* --- Responsive Adjustments --- */

/* Tablet Viewport */
@media screen and (max-width: 991px) {
    .ribbon {
        /* top: 20px; */
        top: 2vw;
        /* left: -65px; */
        left: -6vw;
        padding: 12px 0;
        font-size: 12px;
    }
}

/* Mobile Landscape & Portrait Viewports */
@media screen and (max-width: 767px) {
    .ribbon {
        top: 2.25vw;
        left: -6.25vw;
        padding: 10px 0;
        font-size: 10px;
        line-height: 0;
    }
}

/* Mobile Landscape & Portrait Viewports */
@media screen and (max-width: 479px) {
    .ribbon {
        top: 2.5vw;
        left: -7vw;
        font-size: 10px;
        padding: 8px 0;
        line-height: 0;
    }
}